<?php
if(!file_exists('protected' . DIRECTORY_SEPARATOR . 'configuration.php')){
    die('No configuration file found');
}

//Include configuration file
include_once('protected' . DIRECTORY_SEPARATOR . 'configuration.php');
$configuration = new Configuration();

//Include autoloader
include_once('autoloader.php');

if(!isset($_POST['token']) && !isset($_GET['token']) || (isset($_POST['token']) && $_POST['token']!==$configuration->cron_token)|| (isset($_GET['token']) && $_GET['token']!==$configuration->cron_token) ){
    die('Wrong token');
}

ignore_user_abort(true);

while (ob_get_level()!=0){
    ob_end_clean();
}

$echo = 'Optimization process will continue in background...';

header("Connection: close", true);
header("Content-Encoding: none\r\n");
header("Content-Length: ".strlen($echo), true);

echo $echo;

flush();

unlink('protected/.cronstop');

$db = new \ImageRecycle\Standalone\Database();

//Check if an optimization is not already running
$db->query('SELECT * FROM options WHERE name="optimization_running"');
$result = $db->getObject();
if($result->value=='1'){
    //If running check if it's not stuck on an image
    $db->query('SELECT * FROM options WHERE name="optimization_last_image"');
    $result = $db->getObject();
    //Last image has been optimized in the last 5 minutes it's still processing
    if($result!==false && $result->value  + 60 * 5 > time() ){
        die();
    }
}

//Get all images to optimize
$db->query('SELECT * FROM images WHERE status=""');
$images = $db->getObjectList();

$ij = 0;
if(count($images)){
    $db->exec('UPDATE options SET value="1" WHERE name="optimization_running"');
    $db->exec('UPDATE options SET value="'.count($images).'" WHERE name="optimization_total"');
    $db->exec('UPDATE options SET value="0" WHERE name="optimization_optimized"');
    $db->exec('UPDATE options SET value="0" WHERE name="optimization_errors"');

    foreach ($images as $image){
        set_time_limit(30);

        //Check if cron must be stopped
        if(file_exists('protected/.cronstop')){
            unlink('protected/.cronstop');
            $db->exec('UPDATE options SET value="0" WHERE name="optimization_running"');
            die();
        }

        //Check if stop is asked
        $db->query('SELECT * FROM options WHERE name="optimization_running"');
        $result = $db->getObject();
        if($result->value=='0'){
            die();
        }

        sleep(1);

        $returned = array('status'=>'error');
        try{
            $returned = \ImageRecycle\Standalone\Images::optimize($image->id);
        }catch (Exception $e){}

        if($returned['status']==='success'){
            $db->exec('UPDATE options SET value = ((SELECT value FROM options WHERE name="optimization_optimized")+1) WHERE name="optimization_optimized"');
        }else{
            $db->exec('UPDATE options SET value = ((SELECT value FROM options WHERE name="optimization_errors")+1) WHERE name="optimization_errors');
        }
        $db->exec('UPDATE options SET value="'.time().'" WHERE name="optimization_last_image" ');
    }
}
$db->exec('UPDATE options SET value="0" WHERE name="optimization_running"');