<?php
session_start();

define('IR_VERSION','1.0.4');

//Create the configuration file if not exists
if(!is_writable('protected' . DIRECTORY_SEPARATOR)){
    die('protected folder is not writable, please check files permissions');
}
if(!file_exists('protected' . DIRECTORY_SEPARATOR . 'configuration.php') && file_exists('protected' . DIRECTORY_SEPARATOR . 'configuration_sample.php')){
    copy('protected'. DIRECTORY_SEPARATOR . 'configuration_sample.php', 'protected' . DIRECTORY_SEPARATOR . 'configuration.php');
}

if(!file_exists('protected' . DIRECTORY_SEPARATOR . 'configuration.php')){
    die('No configuration file found');
}

//Include configuration file
include_once('protected' . DIRECTORY_SEPARATOR . 'configuration.php');
$configuration = new Configuration();

//Include autoloader
include_once('autoloader.php');

/**
 * Define shortcut for translate function
 * @param $value
 * @return mixed
 */
function __($value){
    return \ImageRecycle\Standalone\Translator::translate($value);
}

/**
 * Define shortcut for translate echoing function
 * @param $value
 * @return mixed
 */
function _e($value){
    echo \ImageRecycle\Standalone\Translator::translate($value);
}

include('install.php');

include('login.php');

include('update.php');

include('settings.php');

//Check for updates
$installer = new \ImageRecycle\Standalone\Installer();
$installer->checkUpdate();

include('images.php');