<h1 class="teal-text"><?php _e('ImageRecycle Standalone Script Installer'); ?></h1>
<h2><?php _e('Checking requirements'); ?></h2>
<ul>
    <li><?php echo ($requirements['php']===true?'<i class="material-icons">done</i>':'<i class="material-icons">error</i> ').__('PHP version is at least 5.3'); ?></li>
    <li><?php echo ($requirements['curl']===true?'<i class="material-icons">done</i>':'<i class="material-icons">error</i> ').__('Curl extension installed'); ?></li>
    <li><?php echo ($requirements['sqlite3']===true?'<i class="material-icons">done</i>':'<i class="material-icons">error</i> ').__('Sqlite3 extension installed'); ?></li>
    <li><?php echo ($requirements['configuration_file_writable']===true?'<i class="material-icons">done</i>':'<i class="material-icons">error</i> ').__('Configuration file writable'); ?></li>
    <li><?php echo ($requirements['protected_folder_writable']===true?'<i class="material-icons">done</i>':'<i class="material-icons">error</i> ').__('Protected folder writable'); ?></li>
</ul>

<?php if($requirementsOk): ?>
    <a href="?step=1" class="waves-effect waves-light btn"><i class="material-icons right">navigate_next</i><?php _e('Continue installation'); ?></a>
<?php else: ?>
    <p>
        <?php _e('Please check the requirements'); ?>
    </p>
    <a href="." class="waves-effect waves-light btn"><i class="material-icons right">replay</i><?php _e('Check again'); ?></a>
<?php endif; ?>
