<h1 class="teal-text"><?php _e('ImageRecycle Standalone Script Installer'); ?></h1>
<?php if(isset($error)): ?>
    <div class="card-panel red white-text lighten-2">
        <?php echo $error; ?>
    </div>
<?php endif; ?>

<form method="POST" action=".?step=2">
    <div class="row">
        <form class="col s12">
            <h3><?php echo _e('Standalone script credentials'); ?></h3>
            <p>
                <?php _e('Please create a password to access the script after installation'); ?><br/>
                <i><?php _e('Hint : This password will be saved in clear in a configuration file but not accessible via direct browsing'); ?></i>
            </p>
            <div class="row">
                <div class="input-field col s6">
                    <i class="material-icons prefix">verified_user</i>
                    <input id="icon_password" name="password" type="password" class="validate">
                    <label for="icon_password"><?php _e('Password'); ?></label>
                </div>
                <div class="input-field col s6">
                    <i class="material-icons prefix">verified_user</i>
                    <input id="icon_password2" name="password2" type="password" class="validate">
                    <label for="icon_password2"><?php _e('Confirm password'); ?></label>
                </div>
            </div>
        </form>
        <button class="btn waves-effect waves-light" type="submit" name="action"><?php _e('Submit'); ?>
            <i class="material-icons right">send</i>
        </button>
    </div>
</form>