<?php

namespace ImageRecycle\Standalone;

class Renderer
{
    /**
     * Render a view file and variable and return it
     * @param $file View file to render
     * @param $variables Variable to import in the view file
     * @return string
     */
    public static function render($file,$variables)
    {
        //Import variable in current script
        extract($variables);

        $viewContent = '';

        //Render the main template
        if (file_exists($file)) {
            ob_start();
            include $file;
            $viewContent = ob_get_contents();
            ob_end_clean();
        }
        return $viewContent;
    }
}