<?php

namespace ImageRecycle\Standalone;


class Translator
{
    private static $instance;

    private static $locale;

    public static function getInstance(){
        if ( static::$instance == null ) {
            static::$instance = new translator();
        }
        self::$locale = 'fr';
        return static::$instance;
    }

    private function __construct(){}

    public static function translate($text){
        if(self::$instance === null){
            self::getInstance();
        }
        return $text;
    }

    /**
     * Shortcut for translate method
     * @param $text
     * @return string
     */
    public static function _($text){
        return self::translate($text);
    }
}