<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!--Import Google Icon Font-->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

    <!--Import materialize.css-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.97.6/css/materialize.min.css">

    <!-- Import qtip.css -->
    <link rel="stylesheet" href="http://cdnjs.cloudflare.com/ajax/libs/qtip2/3.0.3/jquery.qtip.min.css">

    <!--Import our custom css-->
    <link rel="stylesheet" href="assets/style.css">


    <!--Import jQuery before materialize.js-->
    <script type="text/javascript" src="https://code.jquery.com/jquery-2.1.1.min.js"></script>

    <!--Import materialize.js-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.97.6/js/materialize.min.js"></script>

    <!--Import handlebars.js-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/handlebars.js/4.0.5/handlebars.min.js"></script>

    <!-- import qtip.js -->
    <script src="http://cdnjs.cloudflare.com/ajax/libs/qtip2/3.0.3/jquery.qtip.min.js"></script>

    <title><!--MAIN_TITLE--></title>
</head>
    <body>
        <div class="container">
            <nav>
                <div class="nav-wrapper">
                    <a href="https://www.imagerecycle.com" target="_blank" class="brand-logo"><img src="assets/ir-logo.png" alt="ImageRecycle" /></a>
                    <ul class="right hide-on-med-and-down">
                        <?php if(version_compare(IR_VERSION,$configuration->update_version)===-1): ?>
                            <li><a href="?page=update"><i class="material-icons left">system_update_alt</i> <?php echo __('Update to version').' '.htmlentities($configuration->update_version); ?></a></li>
                        <?php endif; ?>
                        <li><a href="."><i class="material-icons left">collections</i> <?php _e('Images'); ?></a></li>
                        <li><a href="?page=settings"><i class="material-icons left">settings</i> <?php _e('Settings'); ?></a></li>
                        <li><a href="?logout=1"><i class="material-icons left">perm_identity</i> <?php _e('Logout'); ?></a></li>
                    </ul>
                </div>
            </nav>
            <!--VIEW_CONTENT-->
        </div>
    </body>
</html>