<h3><?php echo _e('Login'); ?></h3>

<?php if(isset($error)): ?>
    <div class="card-panel red white-text lighten-2">
        <?php echo $error; ?>
    </div>
<?php endif; ?>


<form method="POST" action=".">
    <div class="row">
        <h4><?php _e('Please type your password'); ?></h4>
        <div class="input-field col s6">
            <i class="material-icons prefix">perm_identity</i>
            <input name="password" id="password" type="password" class="validate">
            <label for="password"><?php _e('Password'); ?></label>
        </div>
    </div>
    <input type="hidden" name="page" value="login" />
    <button type="submit" class="waves-effect waves-light btn"><i class="material-icons right">send</i><?php _e('Login'); ?></button>
</form>